add .travis stuff
authorrobin
Thu, 17 Oct 2019 13:32:22 +0100
changeset 67 adcacca7dc69
parent 66 c0d10f5c589a
child 68 19d1a0c8cf88
add .travis stuff
.travis-config.sh
.travis.yml
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/.travis-config.sh	Thu Oct 17 13:32:22 2019 +0100
@@ -0,0 +1,13 @@
+# Define custom utilities
+#see https://github.com/python-pillow/pillow-wheels/blob/master/config.sh 
+function run_tests {
+	(
+	echo -n "+++++ python version:";python -c"import sys;print(sys.version.split()[0])"
+	echo -n "+++++ filesystemencoding:";python -c"import sys;print(sys.getfilesystemencoding())"
+	cd ../pyRXP/test
+	echo "===== in pyRXP/test pwd=`pwd`"
+	python testRXPbasic.py
+	[ ! -f 'xmltest.zip' ] && [ -x /opt/cp37m/bin/python3.7 ] && /opt/cp37m/bin/python3.7 -c"from urllib.request import urlretrieve;urlretrieve('https://www.reportlab.com/ftp/xmltest.zip','xmltest.zip')"
+	[ -f 'xmltest.zip' ] && python test_xmltestsuite.py || true	#force success
+	)
+	}
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/.travis.yml	Thu Oct 17 13:32:22 2019 +0100
@@ -0,0 +1,98 @@
+branches:
+  only:
+  - master
+env:
+  global:
+  - REPO_DIR=pyRXP
+  - MULTIBUILD_DIR=multibuild
+  - CONFIG_PATH=.travis-config.sh
+  - BUILD_COMMIT=master
+  - PLAT=x86_64
+  - UNICODE_WIDTH=32
+  - TWINE_USERNAME=MrRLBitBucket
+  - CITOOLS_USER=rl-wheelbuilder
+  - RLCACHE=manylinux/pyrxp
+  - secure: Fd6AcZnov1X4elbYdY8EfvILzVCY3XMZTznadvOebm7vO8GcMbQUd3Z2k4wlsqe2KPWUPLDw48usruZ1z2BP19Bf1Q9rjGA3tl0lB52UAx6KtcKlIp6le6vQKNtWysiFTS9jEShMBSBJvUkXXyO0xa0DznzQD5Lzp0WeZGy5b0iicp4FcA22xvQziqN/n1gfjUnxZnXFEEAkBQIFy5FG1VHEkHlk809+Cy8ShJbwuobEY4HiYP9bCyjwZ5rn+XXIX5oyKpHlldfK/GEzBoLBtP7DGTFO1yZlI/cbvMh2+jxY+XNCFLQL4JLDgIhTvRzDav/hnCBdXJa8ztF28Qt6WhqpnqW7cwawvqeLtHKLeGizLo8xM17wi4Q9H7i06a5NZuzURykCsPqiSAIVgLeNj/8NKyTznzFTvMPuqzXZsZmyC9rxXjjmzevqRClboVXXRJJ3mmmMykQ+XRgXEB7aXAYuiHfIyg/XTuq58kutsUyTSMtdwSXihXlSsMteML+j3QPcPbdZVkkgOOxv/sp9Iau9jmVaZDc6gos9eKv0cI1rmNiV5yuyBf0dtb5NVTHxhowtg8QMkxKWQ7B5SWIgWWduRMaIyAUq0zIV2R0aLK7ydh7QetBh7l9srZrtvUbvVBqWQdgj2l1yvOdKJ7jqulC9NxkC/lHXGxmppny4Bsc=
+language: python
+python: 3.5
+sudo: required
+dist: trusty
+services: docker
+notifications:
+  email:
+    recipients:
+    - bitbucket@reportlab.com
+    - live_errors@reportlab.com
+    on_success: always
+    on_failure: always
+matrix:
+  exclude:
+  - python: 3.5
+  include:
+  - os: linux
+    env:
+    - UNICODE_WIDTH=16
+    - MB_PYTHON_VERSION=2.7
+  - os: linux
+    env:
+    - UNICODE_WIDTH=16
+    - MB_PYTHON_VERSION=2.7
+    - PLAT=i686
+  - os: linux
+    env:
+    - MB_PYTHON_VERSION=2.7
+  - os: linux
+    env:
+    - MB_PYTHON_VERSION=2.7
+    - PLAT=i686
+  - os: linux
+    env:
+    - MB_PYTHON_VERSION=3.5
+  - os: linux
+    env:
+    - MB_PYTHON_VERSION=3.5
+    - PLAT=i686
+  - os: linux
+    env:
+    - MB_PYTHON_VERSION=3.6
+  - os: linux
+    env:
+    - MB_PYTHON_VERSION=3.6
+    - PLAT=i686
+  - os: linux
+    env:
+    - MB_PYTHON_VERSION=3.7
+  - os: linux
+    env:
+    - MB_PYTHON_VERSION=3.7
+    - PLAT=i686
+  - os: osx
+    language: generic
+    env:
+    - MB_PYTHON_VERSION=2.7
+  - os: osx
+    language: generic
+    env:
+    - MB_PYTHON_VERSION=3.5
+  - os: osx
+    language: generic
+    env:
+    - MB_PYTHON_VERSION=3.6
+  - os: osx
+    language: generic
+    env:
+    - MB_PYTHON_VERSION=3.7
+before_install:
+- git clone https://github.com/matthew-brett/multibuild $MULTIBUILD_DIR
+- git clone https://github.com/MrBitBucket/reportlab-mirror $REPO_DIR
+- source $MULTIBUILD_DIR/common_utils.sh
+- source $MULTIBUILD_DIR/travis_steps.sh
+- before_install
+install:
+- clean_code $REPO_DIR $BUILD_COMMIT
+- build_wheel $REPO_DIR $PLAT
+script:
+- install_run $PLAT
+after_success:
+- pip install https://hg.reportlab.com/hg-public/rl-ci-tools/archive/tip.tar.gz -U
+- python -mrl_ci_tools upload-caches --subdir="$RLCACHE" --verbosity=1 ${TRAVIS_BUILD_DIR}/wheelhouse/*